<?php

namespace App\Livewire;

use Livewire\Component;
use Livewire\WithPagination;
use App\Models\Order;

class ActiveOrders extends Component
{
    use WithPagination;

    public function render()
    {
        return view('livewire.active-orders', [
            'latest' => Order::with('items')
                ->whereNotIn('status', ['DIAMBIL', 'DITERIMA'])
                ->latest()
                ->paginate(10),
        ]);
    }
}
